body,
html {
  margin: 0;
  padding: 0;
  max-width: 100%;
  overflow-x: hidden;
}

@keyframes pulseGlow {
  0% {
    text-shadow: 0 0 0px #758de6;
  }
  50% {
    text-shadow: 0 0 15px #758de6;
  }
  100% {
    text-shadow: 0 0 0px #758de6;
  }
}

.pulsate-glow {
  color: #758de6;
  animation: pulseGlow 2s infinite;
}

html {
  scroll-behavior: smooth;
  background-color: #181818;
}

::selection {
  background-color: rgba(218, 156, 112, 0.411);
}

.hidden {
  visibility: hidden;
  opacity: 0;
  transition:
    opacity 0.1s ease-out,
    visibility 0.1s ease-out;
}

.front-page-section {
  height: 100vh;
  width: 100vw;
  display: flex;
  flex-wrap: wrap;
  cursor: default;
}

.front-page-dark-background {
  background-color: #3a3a3a;
  width: 60vw;
  height: 90vh;
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.front-page-header {
  font-size: 4vw;
  font-family: "Space Grotesk", Arial, Helvetica, sans-serif;
  position: absolute;
  font-weight: bold;
  color: #758de6;
  margin-left: 2vw;
  top: 0;
  left: 0;
  width: 1ch;
  white-space: nowrap;
  overflow: hidden;
  transition: 0.8s;
  cursor: default;
  margin-top: 0;
}

.front-page-header:hover {
  width: 10ch;
  white-space: auto;
  transition: 0.5s;
  color: #da9c70;
}

.header-divider {
  width: 30%;
  height: 2px;
  background-color: #758de6;
  margin-top: 11vh;
  position: absolute;
  top: 0;
}

.front-page-green-side-divider {
  background-color: #758de6;
  position: absolute;
  right: 0;
  margin-right: 0.5vw;
  height: 14vh;
  width: 2px;
  margin-bottom: 5vh;
}

.greeting-text {
  width: 60%;
  margin: 0;
  font-size: 4.5vw;
  font-family: "Bebas Neue", Arial, Helvetica, sans-serif;
  color: #ffffff;
  margin-right: 7vw;
  margin-top: 0;
}

.green-name-text {
  color: #758de6;
  font-family: "Space Grotesk", Arial, Helvetica, sans-serif;
  font-size: 4vw;
}

.introduction-text {
  width: 60%;
  margin: 0;
  font-size: 2.5vw;
  font-family: "Bebas Neue", Arial, Helvetica, sans-serif;
  color: #ffffff;
  margin-top: 2vh;
  margin-right: 7vw;
}

.orange-brackets-text {
  color: #da9c70;
}

.green-writing-text {
  color: #758de6;
  font-family: "Space Grotesk", Arial, Helvetica, sans-serif;
  font-weight: 100;
  font-size: 2.3vw;
}

.type-of-developer-text {
  font-family: "Space Grotesk", Arial, Helvetica, sans-serif;
  color: #758de6;
  font-size: 2vw;
  position: absolute;
  bottom: 0;
  margin-bottom: 10.5vh;
  font-weight: bold;
}

.bottom-text-divider {
  width: 30%;
  height: 2px;
  background-color: #758de6;
  position: absolute;
  bottom: 0;
  margin-bottom: 9vh;
}

.type-of-languages-text {
  font-family: "Space Grotesk", Arial, Helvetica, sans-serif;
  color: white;
  font-size: 1.3vw;
  position: absolute;
  bottom: 0;
  margin-bottom: 4.5vh;
  font-weight: lighter;
}

.front-page-green-background {
  background-color: #758de6;
  width: 40vw;
  height: 90vh;
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.hamburger-button {
  cursor: pointer;
  border: none;
  background-color: transparent;
  width: 50px;
  margin-top: 4vh;
  position: absolute;
  right: 0;
  margin-right: 3vw;
  top: 0;
  z-index: 4;
}

.hamburger-part {
  width: 100%;
  height: 5px;
  margin: 6px 0px;
  transition: 0.5s;
}

.hamburger-part-color {
  background-color: #3a3a3a;
}

.hamburger-bottom-part {
  width: 60%;
}

.hamburger-button:hover {
  .hamburger-bottom-part {
    width: 100%;
    transition: 0.5s;
    background-color: #da9c70;
  }

  .hamburger-top-part {
    background-color: #da9c70;
    transition: 0.3s;
  }
}

.hamburger-bottom-part-color {
  width: 100%;
  transition: 0.5s;
  background-color: #da9c70;
}

.hamburger-top-part-color {
  background-color: #da9c70;
  transition: 0.3s;
}

.navigation-menu {
  background: rgb(36, 44, 23);
  background: linear-gradient(
    0deg,
    rgba(36, 44, 23, 1) 0%,
    rgba(58, 58, 58, 1) 100%
  );
  width: 35%;
  height: 80%;
  position: absolute;
  border-radius: 15px 0px 15px 15px;
  right: 0;
  top: 0;
  margin-right: 1.5vw;
  margin-top: 2vh;
  z-index: 3;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 3vh;
}

.nav-text {
  width: 80%;
  color: #ffffff;
  font-size: 2.5vw;
  margin: 0;
  font-family: "Space Grotesk", Arial, Helvetica, sans-serif;
  font-weight: lighter;
  cursor: pointer;
  text-decoration: none;
  transition: 0.4s;
}

.nav-text:hover {
  color: #da9c70;
  transition: 0.2s;
}

.nav-text-about {
  margin-top: 5vh;
}

.front-page-dark-side-divider {
  background-color: #3a3a3a;
  position: absolute;
  left: 0;
  margin-left: 0.5vw;
  height: 14vh;
  width: 2px;
  margin-bottom: 5vh;
}

.picture-of-me-wrapper {
  width: 70%;
  border-radius: 3px;
  position: relative;
  display: flex;
  z-index: 1;
}

.picture-of-me {
  display: block;
  width: 100%;
  height: auto;
  border-radius: 3px;
  z-index: 2;
}

.picture-of-me-border {
  width: 100%;
  height: 100%;
  border: 2px solid #3a3a3a;
  border-radius: 3px;
  position: absolute;
  margin-left: 1vw;
  margin-top: 1vw;
  z-index: 1;
}

.front-page-dark-bottom-divider {
  width: 15vw;
  height: 2px;
  position: absolute;
  bottom: 0;
  margin-bottom: 1vh;
  background-color: #3a3a3a;
}

.front-page-green-bottom-divider {
  width: 15vw;
  height: 2px;
  position: absolute;
  bottom: 0;
  margin-bottom: -1vh;
  background-color: #758de6;
  z-index: 2;
}

.large-black-divider {
  width: 100vw;
  height: 10vh;
  bottom: 0;
  display: block;
  background-color: #3a3a3a;
  position: relative;
}

.about-section {
  height: 100vh;
  width: 100vw;
  position: relative;
}

#particles-wrapper {
  height: 100vh;
  width: 100vw;
  position: absolute;
  z-index: 2;
  opacity: 1;
  box-shadow: 0px 0px 20px -5px rgba(0, 0, 0, 1) inset;
}

.about-background {
  background-color: #3a3a3a;
  height: 100%;
  width: 100%;
  display: flex;
  position: relative;
  align-items: center;
  justify-content: center;
  flex-direction: row;
  gap: 10vh;
  z-index: 1;
}

.about-page-header {
  margin: 0;
  color: white;
  font-family: "Space Grotesk", Arial, Helvetica, sans-serif;
  font-size: 4vw;
  width: 100%;
  text-align: center;
  position: absolute;
  top: 0;
  cursor: default;
  z-index: 3;
  pointer-events: none;
}

.about-me-container {
  width: 40%;
  height: 90%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  z-index: 3;
  pointer-events: none;
}

.user-icon {
  width: 45%;
  z-index: 3;
}

.about-me-text {
  color: white;
  font-family: "IBM Plex Mono", Arial, Helvetica, sans-serif;
  font-weight: 400;
  font-size: 2.5vh;
  width: 82%;
  max-width: 100%;
  cursor: default;
  z-index: 3;
  pointer-events: none;
}

.tools-container {
  width: 50%;
  height: 80%;
  display: flex;
  gap: 15px;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.tool-shelf {
  width: 100%;
  height: 20%;
  border-bottom: 2px solid;
  border-image: linear-gradient(to right, #f37335 0%, #fdc830 100%) 1;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 2px;
  z-index: 5;
}

.tool {
  height: 97%;
  width: 25%;
  margin: 0;
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-direction: column;
  z-index: 5;
}

.no-scroll {
  overflow: hidden;
}

.tool-text {
  color: white;
  font-family: "Space Grotesk", Arial, Helvetica, sans-serif;
  font-size: 2rem;
  margin: 0;
  font-weight: 500;
  cursor: default;
  z-index: 5;
}

.tool-icon {
  height: 75%;
  max-height: 80%;
  max-width: 100%;
  object-fit: contain;
}

.page-hider {
  background-color: rgba(0, 0, 0, 0.7);
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 200vh;
  z-index: 3;
  cursor: pointer;
}

.education-section {
  width: 100vw;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

@keyframes moveText {
  0% {
    transform: translateX(0);
  }
  50% {
    transform: translatey(8%);
  }
  100% {
    transform: translateX(0);
  }
}

.animated-text {
  animation: moveText 3s ease infinite;
}

.education-section-background {
  width: 100%;
  height: 100%;
  background: rgb(117, 141, 230);
  background: linear-gradient(
    180deg,
    rgba(117, 141, 230, 1) 0%,
    rgba(58, 58, 58, 1) 100%
  );
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
}

.education-header {
  position: absolute;
  top: 0;
  margin: 0;
  font-size: 9vw;
  font-family: "Space Grotesk", Arial, Helvetica, sans-serif;
  color: #3a3a3a;
  width: 100%;
  text-align: center;
  font-weight: lighter;
  letter-spacing: 5%;
  cursor: default;
}

.certifications-container {
  width: 45vw;
  height: 70vh;
  background-color: #3a3a3a;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  position: absolute;
  left: 0;
  bottom: 0;
  margin-left: 3vw;
  border-radius: 30px 0 0 0;
  margin-bottom: 0;
}

.diplomas-container {
  width: 45vw;
  height: 70vh;
  background-color: #3a3a3a;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  position: absolute;
  right: 0;
  bottom: 0;
  margin-right: 3vw;
  border-radius: 0 30px 0 0;
  margin-bottom: 0;
}

.education-divider {
  height: 2px;
  width: 60%;
  background-color: #758de6;
  margin: 5%;
}

.certification-one {
  width: 90%;
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  margin-top: 0;
}

.certification-text {
  font-size: 4vh;
  color: white;
  font-family: "IBM Plex Mono", Arial, Helvetica, sans-serif;
  margin: 0;
  text-align: center;
}

.diploma-one {
  width: 90%;
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  margin-top: 0;
}

.diploma-text {
  font-size: 4vh;
  color: white;
  font-family: "IBM Plex Mono", Arial, Helvetica, sans-serif;
  margin: 0;
  text-align: center;
  cursor: pointer;
  text-decoration: 2px underline white;
}

.diploma-courses {
  width: 75vw;
  position: fixed;
  height: 75vh;
  background-color: #3a3a3a;
  z-index: 4;
  border-radius: 20px;
  display: flex;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.diploma-courses-outer-divider {
  background-color: transparent;
  width: 98%;
  height: 95%;
  margin: auto;
  border: 2px solid #758de6;
  border-radius: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 2vw;
}

.courses-header {
  font-size: 8vh;
  color: #758de6;
  font-family: "IBM Plex Mono", Arial, Helvetica, sans-serif;
  font-weight: normal;
  position: absolute;
  margin: 0;
  margin-top: 2.5vh;
  top: 0;
  text-align: center;
  width: 100%;
}

.courses-row {
  width: 30%;
  height: 80%;
  display: flex;
  margin-top: 8vh;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 5vh;
}

.course {
  text-align: center;
  color: white;
  font-family: "IBM Plex Mono", Arial, Helvetica, sans-serif;
  font-weight: normal;
  font-size: 4vh;
  margin: 0;
}

.folkuniversitetet-text-color {
  color: #ef4973;
}

.freecodecamp-text-color {
  color: #4da931;
}

.certification-text:hover {
  text-decoration-color: #758de6;
}

.diploma-text:hover {
  text-decoration: underline;
  text-decoration-color: #758de6;
}

#projects {
  width: 100vw;
}

.projects-section-header {
  position: absolute;
  top: 0;
  margin: 0;
  margin-top: 5vh;
  font-size: 12vh;
  font-family: "Space Grotesk", Arial, Helvetica, sans-serif;
  color: #758de6;
  width: 95%;
  height: 15vh;
  text-align: center;
  font-weight: lighter;
  cursor: default;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  text-shadow: -4px 4px 5px rgba(16, 16, 16, 0.6);
}

#project3 {
  margin-bottom: 10vh;
  height: 92%;
  width: 92%;
}

.project-section-container {
  height: 100%;
  width: 100%;
  position: relative;
  display: flex;
  align-items: center;
  flex-direction: column;
  background-color: #3a3a3a;
  justify-content: center;
  gap: 10vh;
}

.project {
  width: 95%;
  display: flex;
  justify-content: space-around;
  align-items: center;
}

.project:first-of-type {
  margin-top: 30vh;
  flex-direction: row-reverse;
}

.project:last-of-type {
  flex-direction: row-reverse;
}

.project-text-section {
  width: 35%;
  height: 70%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.project-display-img {
  width: 100%;
  height: auto;
  max-height: 80vh;
  border-radius: 40px;
  transition: 0.3s;
}

.project-display-img:hover {
  transition: 0.4s;
  transform: scale(0.98);
}

.project-img-anchor {
  width: 55%;
}

.project-title {
  color: #758de6;
  text-align: center;
  font-family: "Space Grotesk", Arial, Helvetica, sans-serif;
  font-size: 4vw;
  margin: 0;
  cursor: default;
}

.project-link {
  margin: 5px 0 5px 0;
  color: #da9c70;
  font-size: 2rem;
  font-family: "Space Grotesk", Arial, Helvetica, sans-serif;
  transition: 0.2s;
}

.project-link:hover {
  color: #758de6;
  transition: 0.2s;
}

.project-divider {
  background-color: #758de6;
  width: 50%;
  height: 2px;
  margin: 20px 0 20px 0;
}

.project-description {
  color: white;
  margin: 0;
  font-family: "IBM Plex Mono", Arial, Helvetica, sans-serif;
  font-size: 1.3vw;
  width: 90%;
  cursor: default;
}

#contact {
  height: 105vh;
  width: 100vw;
}

.contact-background {
  height: 85%;
  width: 100%;
  background-color: #3a3a3a;
  display: flex;
  align-items: center;
  flex-direction: column;
}

.contact-header {
  font-family: "Space Grotesk", Arial, Helvetica, sans-serif;
  color: white;
  font-size: 8vh;
  font-weight: lighter;
  margin: 0;
  margin-top: 15vh;
  margin-bottom: 2.5vh;
  cursor: default;
}

.green-contact-text {
  color: #758de6;
}

.contact-text {
  color: white;
  font-family: "IBM Plex Mono", Arial, Helvetica, sans-serif;
  width: 40%;
  font-size: 3vh;
  margin: 0;
  margin-bottom: 3vh;
  font-weight: light;
  cursor: default;
}

.contact-form {
  display: flex;
  align-items: center;
  flex-direction: column;
  gap: 5px;
  width: 35%;
  height: 40%;
  position: relative;
}

.name-input {
  width: 80%;
  height: 3vh;
  background-color: #181818;
  border: none;
  color: white;
  font-family: "IBM Plex Mono", Arial, Helvetica, sans-serif;
  padding: 5px;
  font-size: 20px;
  color: #ffb783;
}

.mail-input {
  width: 80%;
  height: 3vh;
  background-color: #181818;
  border: none;
  color: white;
  font-family: "IBM Plex Mono", Arial, Helvetica, sans-serif;
  padding: 5px;
  font-size: 20px;
  color: #ffb783;
}

.message-input {
  width: 80%;
  height: 20vh;
  background-color: #181818;
  border: none;
  color: white;
  font-family: "IBM Plex Mono", Arial, Helvetica, sans-serif;
  padding: 5px;
  font-size: 20px;
  resize: none;
  color: #ffb783;
}

textarea:focus,
input:focus {
  outline: none;
}

.send-button {
  border: none;
  background-color: transparent;
  cursor: pointer;
  font-size: 35px;
  bottom: 0;
  right: 0;
  margin-left: auto;
  margin-right: 15%;
  color: white;
  font-family: "Space Grotesk", Arial, Helvetica, sans-serif;
  border-radius: 5px;
  padding: 5px 10px 5px 10px;
  transition: 0.5s;
}

.send-button:hover {
  background-color: #181818;
  transition: 0.3s;

  .green-send-text {
    color: #da9c70;
    transition: 0.2s;
  }
}

.green-send-text {
  color: #758de6;
  transition: 0.4s;
}

.footer {
  background-color: #181818;
  width: 100%;
  height: 15%;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  gap: 30px;
}

.to-top-button {
  position: absolute;
  border: none;
  background: #758de6;
  width: 40px;
  height: 50px;
  border-radius: 5px;
  top: -30px;
  transition: 0.4s;
  display: flex;
  justify-content: center;
  align-items: center;
}

.to-top-button:hover {
  height: 60px;
  transition: 0.4s;
  background-color: #da9c70;
}

.top-triangle {
  width: 80%;
  position: absolute;
  top: 0;
  margin-top: 5px;
}

.bottom-triangle {
  width: 70%;
  opacity: 50%;
  position: absolute;
}

.contact-icon {
  width: 5vh;
  height: 5vh;
  cursor: pointer;
  transition: transform 0.4s;
}

.linkedin-logo:hover {
  transform: scale(1.1);
  transition: transform 0.2s;
}

.github-logo:hover {
  transform: scale(1.1);
  transition: 0.2s;
}

.email-logo:hover {
  transform: scale(1.1);
  transition: transform 0.2s;
}

.made-by {
  font-family: "IBM Plex Mono", Arial, Helvetica, sans-serif;
  font-size: 1.5vh;
  color: #ffffff;
  position: absolute;
  bottom: 0;
  margin: 0;
  margin-bottom: 15px;
  cursor: default;
}
